Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update mocha to the latest version 馃殌 #13

Open
wants to merge 2 commits into
base: master
from

Conversation

Projects
None yet
0 participants
@greenkeeper
Copy link
Contributor

commented Feb 18, 2019

The devDependency mocha was updated from 5.2.0 to 6.0.0.

This version is not covered by your current version range.

If you don鈥檛 accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.


Release Notes for v6.0.0

6.0.0 / 2019-02-18

馃挜 Breaking Changes

  • #3149: Drop Node.js v4.x support (@outsideris)
  • #3556: Changes to command-line options (@boneskull):
    • --grep and --fgrep are now mutually exclusive; attempting to use both will cause Mocha to fail instead of simply ignoring --grep
    • --compilers is no longer supported; attempting to use will cause Mocha to fail with a link to more information
    • -d is no longer an alias for --debug; -d is currently ignored
    • #3275: --watch-extensions no longer implies js; it must be explicitly added (@TheDancingCode)
  • #2908: tap reporter emits error messages (@chrmod)
  • #2819: When conditionally skipping in a before hook, subsequent before hooks and tests in nested suites are now skipped (@bannmoore)
  • #627: Emit filepath in "timeout exceeded" exceptions where applicable (@boneskull)
  • #3556: lib/template.html has moved to lib/browser/template.html (@boneskull)
  • #2576: An exception is now thrown if Mocha fails to parse or find a mocha.opts at a user-specified path (@plroebuck)
  • #3458: Instantiating a Base-extending reporter without a Runner parameter will throw an exception (@craigtaub)
  • #3125: For consumers of Mocha's programmatic API, all exceptions thrown from Mocha now have a code property (and some will have additional metadata). Some Error messages have changed. Please use the code property to check Error types instead of the message property; these descriptions will be localized in the future. (@craigtaub)

馃摖 Deprecations

These are soft-deprecated, and will emit a warning upon use. Support will be removed in (likely) the next major version of Mocha:

  • -gc users should use --gc-global instead
  • Consumers of the function exported by bin/options should now use the loadMochaOpts or loadOptions (preferred) functions exported by the lib/cli/options module

Regarding the Mocha class constructor (from lib/mocha):

  • Use property color: false instead of useColors: false
  • Use property timeout: false instead of enableTimeouts: false

All of the above deprecations were introduced by #3556.

mocha.opts is now considered "legacy"; please prefer RC file or package.json over mocha.opts.

馃帀 Enhancements

Enhancements introduced in #3556:

  • Mocha now supports "RC" files in JS, JSON, YAML, or package.json-based (using mocha property) format

    • .mocharc.js, .mocharc.json, .mocharc.yaml or .mocharc.yml are valid "rc" file names and will be automatically loaded
    • Use --config /path/to/rc/file to specify an explicit path
    • Use --package /path/to/package.json to specify an explicit package.json to read the mocha prop from
    • Use --no-config or --no-package to completely disable loading of configuration via RC file and package.json, respectively
    • Configurations are merged as applicable using the priority list:
      1. Command-line arguments
      2. RC file
      3. package.json
      4. mocha.opts
      5. Mocha's own defaults
    • Check out these example config files
  • Node/V8 flag support in mocha executable:

    • Support all allowed node flags as supported by the running version of node (also thanks to @demurgos)
    • Support any V8 flag by prepending --v8- to the flag name
    • All flags are also supported via config files, package.json properties, or mocha.opts
    • Debug-related flags (e.g., --inspect) now imply --no-timeouts
    • Use of e.g., --debug will automatically invoke --inspect if supported by running version of node
  • Support negation of any Mocha-specific command-line flag by prepending --no- to the flag name

  • Interfaces now have descriptions when listed using --interfaces flag

  • Mocha constructor supports all options

  • --extension is now an alias for --watch-extensions and affects non-watch-mode test runs as well. For example, to run only test/*.coffee (not test/*.js), you can do mocha --require coffee-script/register --extensions coffee.

  • #3552: tap reporter is now TAP13-capable (@plroebuck & @mollstam)

  • #3535: Mocha's version can now be queried programmatically via public property Mocha.prototype.version (@plroebuck)

  • #3428: xunit reporter shows diffs (@mlucool)

  • #2529: Runner now emits a retry event when tests are retried (reporters can listen for this) (@catdad)

  • #2962, #3111: In-browser notification support; warn about missing prereqs when --growl supplied (@plroebuck)

馃悰 Fixes

馃摉 Documentation

馃敥 Other

Commits

The new version differs by 209 commits ahead by 209, behind by 39.

  • 42303e2 Release v6.0.0
  • a553ca7 punctuation updates for changelog v6.0.0
  • c710792 grammar updates for changelog v6.0.0
  • 9f9293a update changelog for v6.0.0
  • a540eb0 remove "projects" section from MAINTAINERS.md [ci skip]
  • 52b5c42 Uppercased JSON reporter name in describe title (#3739)
  • 82307fb Fix .globals to remove falsy values (#3737)
  • 56dc28e Remove unnecessary post-processing code having no effect; closes #3708 (#3733)
  • 16b4281 Documentation updates (#3728)
  • 5d9d3eb Update nyc
  • 118c9ae Refactor out usages of Suite#_onlyTests and Suite#_onlyTests (#3689) (#3707)
  • 0dacd1f Add ability to unload files from require cache (redux) (#3726)
  • 66a52f2 update release steps [ci skip]
  • 45ae014 Refactor lookupFiles and files (#3722)
  • 94c9320 fix --reporter-option to allow comma-separated options; closes #3706

There are 209 commits in total.

See the full diff

FAQ and help

There is a collection of frequently asked questions. If those don鈥檛 help, you can always ask the humans behind Greenkeeper.


Your Greenkeeper bot 馃尨

@greenkeeper greenkeeper bot added the greenkeeper label Feb 18, 2019

greenkeeper bot added a commit that referenced this pull request Feb 21, 2019

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Feb 21, 2019

  • The devDependency mocha was updated from 5.2.0 to 6.0.1.

Update to this version instead 馃殌

Release Notes for v6.0.1

6.0.1 / 2019-02-21

The obligatory round of post-major-release bugfixes.

馃悰 Fixes

These issues were regressions.

  • #3754 - Mocha again finds test.js when run without arguments (@plroebuck)
  • #3756 - Mocha again supports third-party interfaces via --ui (@boneskull)
  • #3755 - Fix broken --watch (@boneskull)
  • #3759 - Fix unwelcome deprecation notice when Mocha run against languages (CoffeeScript) with implicit return statements; returning a non-undefined value from a describe callback is no longer considered deprecated (@boneskull)

馃摉 Documentation

Commits

The new version differs by 9 commits.

  • 6d3d6b4 Release v6.0.1
  • 2146ece update CHANGELOG.md for v6.0.1
  • 7c9221d backout deprecation of value returned from suite; closes #3744
  • b7cfceb fix --watch not finding any files to execute; closes #3748
  • b836d73 Upgrade docdash version - issue #3663
  • 7926f47 fix --ui issues, closes #3746
  • 00f2ed9 dev dep upgrades from "npm audit" and "npm upgrade"
  • 34afb1a fix(cli/run.js): Revert default glob to match Mocha-5.2
  • 6d5a0db Bring the example congfiguration file in line with the documentation. (#3751)

See the full diff

greenkeeper bot added a commit that referenced this pull request Feb 25, 2019

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Feb 25, 2019

  • The devDependency mocha was updated from 5.2.0 to 6.0.2.

Update to this version instead 馃殌

Release Notes for v6.0.2

6.0.2 / 2019-02-25

馃悰 Fixes

Two more regressions fixed:

  • #3768: Test file paths no longer dropped from mocha.opts (@boneskull)
  • #3767: --require does not break on module names that look like certain node flags (@boneskull)
Commits

The new version differs by 6 commits.

  • 00a895f Release v6.0.2
  • 1edce76 update CHANGELOG for v6.0.2 [ci skip]
  • 347e9db fix broken positional arguments in config; ensure positional args are unique; closes #3763
  • 9e31e9d fix handling of bareword args matching node flags; closes #3761
  • 6535965 Update "karma-browserify" to eliminate Karma middleware warning (#3762)
  • 37febb6 improve issue template. (#3411)

See the full diff

greenkeeper bot added a commit that referenced this pull request Apr 7, 2019

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Apr 7, 2019

  • The devDependency mocha was updated from 5.2.0 to 6.1.0.

Update to this version instead 馃殌

Release Notes for v6.1.0

6.1.0 / 2019-04-07

馃敀 Security Fixes

  • #3845: Update dependency "js-yaml" to v3.13.0 per npm security advisory (@plroebuck)

馃帀 Enhancements

  • #3766: Make reporter constructor support optional options parameter (@plroebuck)
  • #3760: Add support for config files with .jsonc extension (@sstephant)

馃摖 Deprecations

These are soft-deprecated, and will emit a warning upon use. Support will be removed in (likely) the next major version of Mocha:

馃悰 Fixes

  • #3829: Use cwd-relative pathname to load config file (@plroebuck)
  • #3745: Fix async calls of this.skip() in "before each" hooks (@juergba)
  • #3669: Enable --allow-uncaught for uncaught exceptions thrown inside hooks (@givanse)

and some regressions:

馃摉 Documentation

馃敥 Other

  • #3830: Replace dependency "findup-sync" with "find-up" for faster startup (@cspotcode)
  • #3799: Update devDependencies to fix many npm vulnerabilities (@XhmikosR)
Commits

The new version differs by 28 commits.

  • f4fc95a Release v6.1.0
  • bd29dbd update CHANGELOG for v6.1.0 [ci skip]
  • aaf2b72 Use cwd-relative pathname to load config file (#3829)
  • b079d24 upgrade deps as per npm audit fix; closes #3854
  • e87c689 Deprecate this.skip() for "after all" hooks (#3719)
  • 81cfa90 Copy Suite property "root" when cloning; closes #3847 (#3848)
  • 8aa2fc4 Fix issue 3714, hide pound icon showing on hover header on docs page (#3850)
  • 586bf78 Update JS-YAML to address security issue (#3845)
  • d1024a3 Update doc examples "tests.html" (#3811)
  • 1d570e0 Delete "/docs/example/chai.js"
  • ade8b90 runner.js: "self.test" undefined in Browser (#3835)
  • 0098147 Replace findup-sync with find-up for faster startup (#3830)
  • d5ba121 Remove "package" flag from sample config file because it can only be passes as CLI arg (#3793)
  • a3089ad update package-lock
  • 75430ec Upgrade yargs-parser dependency to avoid loading 2 copies of yargs

There are 28 commits in total.

See the full diff

greenkeeper bot added a commit that referenced this pull request Apr 7, 2019

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Apr 7, 2019

  • The devDependency mocha was updated from 5.2.0 to 6.1.1.

Update to this version instead 馃殌

greenkeeper bot added a commit that referenced this pull request Apr 8, 2019

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Apr 8, 2019

  • The devDependency mocha was updated from 5.2.0 to 6.1.2.

Update to this version instead 馃殌

greenkeeper bot added a commit that referenced this pull request Apr 12, 2019

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Apr 12, 2019

  • The devDependency mocha was updated from 5.2.0 to 6.1.3.

Update to this version instead 馃殌

greenkeeper bot added a commit that referenced this pull request Apr 18, 2019

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Apr 18, 2019

  • The devDependency mocha was updated from 5.2.0 to 6.1.4.

Update to this version instead 馃殌

greenkeeper bot added a commit that referenced this pull request Jul 18, 2019

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Jul 18, 2019

  • The devDependency mocha was updated from 5.2.0 to 6.2.0.

Update to this version instead 馃殌

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can鈥檛 perform that action at this time.